﻿//*********************************************************************
//
//   fiftyfootshadowsHD  -  an original iPhone theme by storyr
//
//*********************************************************************
//   License
//
//   The fiftyfootshadowsHD theme and themePump (both by storyr) are licensed 
//   under the Creative Commons Attribution-NonCommercial-ShareAlike 
//   3.0 Unported License. To view a copy of this license, visit 
//   http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter 
//   to:  Creative Commons
//        171 Second Street, Suite 300
//        San Francisco, CA, 94105, USA
//
//   Permissions beyond the scope of this license may be available by 
//   emailing storyr@venusware.net
//*********************************************************************

// slide rotation frequency (in minutes)
var slideRotation = 0.3;
var slide = [];
var slideIndex = 1;

// start the slideshow!
$(document).ready(function () {
   getSlideIndex();
   switch (slide.length) {
      case 0:
         break;
      case 1:
         $(".slideshow .slide.current").attr("src", slide[0].image).addClass("zoomOut");
         break;
      default:
         $(".slideshow .slide.next").attr("src", slide[0].image).addClass("zoomIn").css("-webkit-transform-origin", slide[0].origin);
         setTimeout("slideShow()", 1000);
         break;
   }
});

// themePump refresh starting - show the update indicator
function onPumpRefreshStart() {
   $(".updateInd").removeClass("off");
}

// themePump refresh finished - hide the update indicator
function onPumpRefreshEnd() {
   setTimeout(function () { $(".updateInd").addClass("off"); }, 500);
}

function slideShow() {
   showSlide(slideIndex);
   slideIndex++;
   if (slideIndex == slide.length) slideIndex = 0;
   setTimeout("slideShow()", slideRotation * 60 * 1000);
}

function showSlide(index) {
   var $curr = $(".slideshow .slide.current");
   var $last = $(".slideshow .slide.last");
   var $next = $(".slideshow .slide.next");
   $curr.addClass("last").removeClass("current").removeClass("zoomOut");
   $last.addClass("next").removeClass("last").removeClass("zoomOut").addClass("zoomIn").attr("src", slide[index].image).css("-webkit-transform-origin", slide[index].origin);
   $next.addClass("current").removeClass("next").removeClass("zoomIn").addClass("zoomOut");
}

function getSlideIndex() {
   var xml_request = new XMLHttpRequest();
   xml_request.open("GET", "slides/slideindex.txt", false);
   xml_request.setRequestHeader("Cache-Control", "no-cache");
   xml_request.send(null);
   var lines = xml_request.responseText.split("\n");
   var index = 0;
   for (i in lines) {
      if (lines[i].substr(0, 2) != "//" && jQuery.trim(lines[i]) != "") {
         var t = lines[i].split(",");
         if (typeof (t[0]) != "undefined") {
            if (typeof (t[1]) == "undefined") t[1] = "50% 50%";
            //if (typeof (t[2]) == "undefined") t[2] = "50%";
            slide[index] = { image: jQuery.trim(t[0]), origin: jQuery.trim(t[1]) };
            index = index + 1;
         }
      }
   }
}